module BittrexEnterprise
  class Account
    include ApiHelpers

  # ==============================================================================================
  # AUTH REQUIRED ================================================================================
  # ==============================================================================================

    # ----------------------------------------- RETRIEVE -----------------------------------------
    # Retrieve information for the account associated with the request. For now, it only echoes
    # the subaccount if one was specified in the header, which can be used to verify that one is
    # operating on the intended account. More fields will be added later.
    # --------------------------------------------------------------------------------------------
    def self.retrieve
      get_signed 'account'
    end

  end
end
