module BittrexEnterprise
  class Currencies
    include ApiHelpers

  # ==============================================================================================
  # PUBLIC METHODS - NO AUTH REQUIRED ============================================================
  # ==============================================================================================

    # ------------------------------------- LIST -------------------------------------------------
    # List currencies
    # --------------------------------------------------------------------------------------------
    def self.list
      get 'currencies'
    end


    # ------------------------------------ INFO --------------------------------------------------
    # Retrieve info on a specified currency.
    #
    # ------ PARAMS ------
    # symbol: string - required - symbol of the currency to retrieve
    # --------------------------------------------------------------------------------------------
    def self.info(symbol)
      get 'currencies/{symbol}', symbol: symbol
    end

  end
end
